com.buschmais.jqassistant.plugin.java.api.model

## Interface FieldDescriptor

- All Superinterfaces:
    AccessModifierDescriptor, AnnotatedDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, JavaDescriptor, MemberDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, TypedDescriptor

      @Label(value="Field")
      public interface FieldDescriptor
      extends MemberDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, TypedDescriptor, AnnotatedDescriptor, AccessModifierDescriptor

  Describes a field (i.e. static or instance variable) of a Java class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ReadsDescriptor>` | `getReadBy()`
    `List<WritesDescriptor>` | `getWrittenBy()`
    `Boolean` | `isTransient()`
    `Boolean` | `isVolatile()`
    `void` | `setTransient(Boolean transientField)`
    `void` | `setVolatile(Boolean volatileField)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.MemberDescriptor

      `getDeclaringType, getSignature, setSignature`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor

      `getType, setType`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AnnotatedDescriptor

      `getAnnotatedBy`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AccessModifierDescriptor

      `getVisibility, isFinal, isStatic, isSynthetic, setFinal, setStatic, setSynthetic, setVisibility`

- - ### Method Detail

    - #### isTransient

          @Property(value="transient")
          Boolean isTransient()

      Returns:
        the transientField

    - #### setTransient

          void setTransient(Boolean transientField)

      Parameters:
        `transientField` - the transientField to set

    - #### isVolatile

          @Property(value="volatile")
          Boolean isVolatile()

      Returns:
        the volatileField

    - #### setVolatile

          void setVolatile(Boolean volatileField)

      Parameters:
        `volatileField` - the volatileField to set

    - #### getWrittenBy

          List<WritesDescriptor> getWrittenBy()

    - #### getReadBy

          List<ReadsDescriptor> getReadBy()

Copyright © 2015 buschmais GbR. All rights reserved.